{% extends "catalog/base_generic.html" %}

{% block content %}
    <h1>{{ author.last_name }}, {{ author.first_name }}</h1>

    <p>
        {{author.date_of_birth|date:"jS F Y"}} -
        {% if author.date_of_death %}
            {{ author.date_of_death }}
        {% else %}
            not dead yet
        {% endif %}
    </p>
    <div style="margin-left:20px;margin-top:20px">
        <h4>Books</h4>
        <ul>
        {% for book in author.book_set.all %}
            <li>
                <p>
                    <a href="{{ book.get_absolute_url }}">{{ book.title }}</a> ({{ book.bookinstance_set.count }})
                </p>
                <p>
                    {{ book.summary }}
                </p>
            </li>
        {% endfor %}
        </ul>
    </div>
{% endblock %}